Subject: bug#1503: feature request: multiline header (and mode) lines

From: Eli Zaretskii <[email-masked]>
Date: Wed, 20 Oct 2021 19:46:03 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 20 Oct 2021 08:53:45 -0700
> Cc: [email-masked]
> 
> >> I thought of putting that text in the buffer, but that makes it much
> >> harder to update the text.
> >
> > At the moment, we can't do that because the fact that a header-line
> > occupies exactly one line of text is hardwired into many lower-level
> > primitives.
> 
> Could those primitives be changed to support this use-case?

Of course.  It's just a lot of work, and will probably have a long
tail (because many places assume that without stating the assumption
clearly enough for you to catch it).